<template>
  <b-modal
    id="add-user-modal"
    v-model="openModal"
    size="md"
    title="Modifier les permissions du jeu de donnée"
  >
    <div>
      <p>Vous allez lancer une action globale de modification des droits sur {{ all ? 'tous les organismes' : 'les organismes sélectionnés' }}.</p>
      <p>Etes-vous sûr de vouloir continuer?</p>
    </div>
    <template #modal-footer>
      <div class="w-100">
        <b-button
          variant="outline-secondary"
          class="float-left"
          @click="hide"
        >
          Annuler
        </b-button>
        <b-button
          variant="primary"
          class="float-right"
          @click="changeDatasetPermissions"
        >
          Confirmer
        </b-button>
      </div>
    </template>
  </b-modal>
</template>

<script>
export default {
  name: 'ChangeDatasetPermissions',

  props: {
    open: {
      type: Boolean,
      default: false
    },
    all: {
      type: Boolean,
      default: true
    }
  },

  data() {
    return {
      openModal: false,
      loading: false
    }
  },

  watch: {
    open: function(newValue) {
      this.resetModal();
      this.openModal = newValue;
    }
  },

  methods: {
    resetModal() {
      this.openModal = false;
    },
    changeDatasetPermissions() {
      this.$emit('update');
      this.$emit('hide');
    },
    hide() {
      this.$emit('hide');
    }
  }
}
</script>

<style lang="less" scoped>

h2 {
  color: @blue;
  margin-top: 0.8em;
  margin-left: 0.5em;
}

h4 {
  color: @blue;
  margin-top: 0.8em;
}

</style>
